.musicPlayerModal {
  max-width: 400px;
  height: 180px;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: #252020;
  padding: 34px;
  border-radius: 20px;
  background-clip: padding-box;
}

.musicPlayerHeader {
  color: #ffffff;
  margin-bottom: 10px;
  font-family: "Input Sans";
  font-size: 14px;
}

.musicPlayerHeaderBeforeRoll {
  color: #ffffff;
  margin-bottom: 10px;
  font-family: "PP Editorial New";
  font-weight: 100;
  font-size: 20px;
}

.outerMusicPlayerControls {
  display: flex;
  margin-bottom: 20px;
  justify-content: center;

  gap: 45px;
  align-items: center;
}

.musicPlayerControls {
  display: flex;
  gap: 16px;
  align-items: center;
}

.playPauseButton {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 60px;
  height: 60px;
  transition: background-color 0.3s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

.prevSongButton {
  border: 1px solid #e7e6e1;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 40%;
  background-repeat: no-repeat;
}

.nextSongButton {
  border: 1px solid #e7e6e1;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 40%;
  background-repeat: no-repeat;
}

.soundButton {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-size: 70%;
  background-repeat: no-repeat;
  background-color: "transparent";
  color: #c9c8c4;
}

.diceButton {
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Union.svg"),
    url("/auras/Aura-1.png") !important;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 45%, cover;
}

.prevSongButton {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Previous.svg");
}

.nextSongButton {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Next.svg");
}

.soundButton {
  background-image: url("https://cdn1.suno.ai/groove-assets/public/icons/Mute.svg");
}

.playPauseButton,
.prevSongButton,
.nextSongButton,
.soundButton,
.diceButton {
  background-position: center;
}

.musicPlayerProgress {
  width: 100%;
  height: 5px;
  background: rgba(255, 255, 255, 0.1);
  position: relative;
  border-radius: 2.5px;
}

.musicPlayerProgressBar {
  width: 50%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 2.5px;
}

.dotIndicators {
  display: flex;
  justify-content: center;
  margin-top: 16px;
  margin-bottom: -10px;
}

.dot {
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #ccc;
  margin: 0 5px;
}

.dot.active {
  background-color: #ff44ec;
}

.hoverDot {
  position: absolute;
  top: 50%;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #fff;
  transform: translate(-50%, -50%);
  z-index: 2;
  cursor: pointer;
}
